osdir.com


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

libxml2 installation/binding issue with Python 3.6.4


Dieter,

I'm sure it's the Python version, I was hoping the "latest" set of the dependencies would get me there.
I'll explore stepping that version back and let you know...  

Thank you,

Matt

-----Original Message-----
From: Python-list [mailto:python-list-bounces+matt.priest=intel.com at python.org] On Behalf Of dieter
Sent: Tuesday, February 6, 2018 12:57 AM
To: python-list at python.org
Subject: Re: libxml2 installation/binding issue with Python 3.6.4

"Priest, Matt" <matt.priest at intel.com> writes:
> ...
> I've successfully (?) installed Python 3.6.4 and libxml2, with the ultimate goal of installing GTK+ 3.22.0.

You might also try "lxml" - which is an alternative for "libxml2".

> However, I'm running into this error:
> ...
>     import libxml2mod
> ImportError: 
> /nfs/sc/disks/slx_1353/mlpriest/sl1/work_root/a0/development/sfwr/lib/
> python3.6/site-packages/libxml2mod.so: undefined symbol: _PyVerify_fd

This indicates a version mismatch between the C part of "libxml2" and something in your system - maybe the "libxml2" C library but more likely Python (given the name).

Are you sure that "libxml2" is Python 3 ready?

--
https://mail.python.org/mailman/listinfo/python-list